html {
    height: 100%;
}

body {
    height: 100%;
    margin: 0;
    font-size: 16px;
}

.loginfooter {
    position: absolute;
    text-align: center;
    width: calc(100vw - 14rem);
    bottom: 0;
}

.rowtop {
    cursor: pointer;
    background-color: #eee;
    position: sticky;
    top: 0;
    z-index: 2;
}

th.sptableonly {
    display: none;
}

.table-bordered th.rowtop {
    border-color: #ccc;
}

.search_th {
    background-color: #eee;
}

.search_tr {
    border: 2px solid #ccc;
}

td.sunday .ui-state-default {
    color: red;
}

td.saturday .ui-state-default {
    color: blue;
}

td.holiday .ui-state-default {
    color: red;
}

.table-text-center {
    table-layout: fixed;
    text-align: center;
}

.list-div {
    margin: 30px 10px;
    position: -webkit-sticky;
    position: -moz-sticky;
    position: -ms-sticky;
    position: -o-sticky;
    position: sticky;
    top: 10;
}

.list-div-head {
    width: 100%;
    position: -webkit-sticky;
    position: -moz-sticky;
    position: -ms-sticky;
    position: -o-sticky;
    position: sticky;
    top: 0;
    z-index: 2;
    cursor: pointer;
}

.list-div-head thead tr th {
    padding-right: 5px;
}

.list-div-body {
    width: 100%;
}

.list-div-body tbody tr td {
    text-align: center;
}

.list-div-body tbody tr th {
    text-align: center;
}

.list-div-body tbody tr td a:link {
    color: #0000ff;
    text-decoration: none;
}

.list-div-body tbody tr td a:visited {
    color: purple;
    text-decoration: none;
}

.table-responsive {
    overflow-y: scroll;
    width: calc(100vw - 1rem);
    height: 75vh;
}

.listTable thead th {
    /* 縦スクロール時に固定する */
    position: -webkit-sticky;
    position: sticky;
    /* tbody内のセルより手前に表示する */
    z-index: 1;
}

.width-6 {
    width: 600px;
}

.width-7 {
    width: 700px;
}

.pointer {
    cursor: pointer;
}

.nav-item .nav-link i {
    width: 20px;
}

.error2 {
    color: #5a5c69;
    font-size: 3rem;
    position: relative;
    line-height: 1;
    width: 12.5rem;
}

.fixed-top {
    border-bottom: double 2px #f0f8ff;
    background: -webkit-repeating-linear-gradient(-45deg, #cce7ff, #cce7ff 3px, #e9f4ff 3px, #e9f4ff 7px);
    background: repeating-linear-gradient(-45deg, #cce7ff, #cce7ff 3px, #e9f4ff 3px, #e9f4ff 7px);
}

.loginhed {
    position: relative;
    color: #224abe;
    text-align: center;
    font-size: 38px;
    font-family: 'Oswald', sans-serif;
    font-weight: bold;
    height: 70px;
    padding: 12px 0;
}

.loginhed:before {
    content: "";
    position: absolute;
    top: -4px;
    left: 50%;
    width: 400px;
    height: 80px;
    border-radius: 40%;
    border: 5px solid #4e73df;
    border-left-color: transparent;
    border-right-color: transparent;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
}

.hedtitle {
    font-family: 'Oswald', sans-serif;
    font-size: 30px;
    font-weight: bold;
}

.mobilehedtitle {
    display: none!important;
}

.thcolor {
    background-color: #c9e5ff;
    vertical-align: middle !important;
    width: 300px;
}

.tdcolor1 {
    background-color: #F0F8FF;
}

.tdcolor2 {
    background-color: #FFF;
}

.sendbutton {
    margin-top: 5px;
}

.btn-light {
    color: #3a3b45;
    background-color: #dde2f1;
    border-color: #d4daed;
}

.btn-light:hover {
    color: #3a3b45;
    background-color: #cbd0e0;
    border-color: #d4daed;
}

.paddiv {
    padding: 15px;
}

.noticelist {
    text-align: center;
    height: 50vh;
    background-color: #dde2f1;
}

.noticelist h2 {
    position: relative;
    top: 25%;
    left: 0;
    right: 0;
}

.cp_iptxt {
    position: relative;
}

.cp_iptxt input[type=text] {
    width: 100%;
    /*padding: 0.3em;
    transition: 0.3s;*/
    outline: none;
}

.cp_iptxt input[type=text] {
    padding-right: 40px;
}

.cp_iptxt i {
    position: absolute;
    top: 2px;
    right: 0;
    padding: 9px 8px;
    transition: 0.3s;
    color: #da3c41;
}

.cp_iptxt i:hover {
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -o-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
    color: red;
    cursor: pointer;
}

.cp_iptxt2 {
    position: relative;
}

.cp_iptxt2 input[type=text] {
    width: 100%;
    /*padding: 0.3em;
    transition: 0.3s;*/
    outline: none;
}

.cp_iptxt2 input[type=text] {
    padding-right: 40px;
}

.cp_iptxt2 i {
    position: absolute;
    top: 0px;
    right: 10px;
    padding: 9px 8px;
    transition: 0.3s;
    color: #006AB6;
    background-color: #ccc;
    height: calc(1.5em + .75rem + 2px);
    border-radius: 0px .35rem .35rem 0px;
}

.cp_iptxt2 i:hover {
    color: blue;
    cursor: pointer;
    background-color: #bbb;
}

.cp_iptxt2 input[type=text]:focus+i {
    height: calc(1.5em + .75rem + 0.5rem);
    top: -0.2rem;
    padding: 12px 8px;
}

.cp_iptxt3 {
    padding-top: 5px;
    position: relative;
}

.cp_iptxt3 input[type=text] {
    width: 100%;
    /*padding: 0.3em;
    transition: 0.3s;*/
    outline: none;
}

.cp_iptxt3 input[type=text] {
    padding-right: 40px;
}

.cp_iptxt3 label i {
    position: absolute;
    top: 5px;
    right: 0px;
    padding: 9px 8px;
    transition: 0.3s;
    color: #006AB6;
    background-color: #ccc;
    height: calc(1.5em + .75rem + 2px);
    border-radius: 0px .35rem .35rem 0px;
}

.cp_iptxt3 label i:hover {
    color: blue;
    cursor: pointer;
    background-color: #bbb;
}

.cp_iptxt3 input[type=text]:focus+label i {
    height: calc(1.5em + .75rem + 0.6rem);
    top: 0.1rem;
    padding: 12px 8px;
}

.topicon {
    width: 70px;
    text-align: left;
}

.red {
    color: red;
}

.lefttd {
    text-align: left;
}

.listTable td pre {
    /* Mozilla */
    white-space: -moz-pre-wrap;
    /* Opera 4-6 */
    white-space: -pre-wrap;
    /* Opera 7 */
    white-space: -o-pre-wrap;
    /* CSS3 */
    white-space: pre-wrap;
    /* IE 5.5+ */
    word-wrap: break-word;
    color: #858796;
        display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 6;
    min-height:100px;
    overflow: hidden;
}

.navbar-nav.bg-gradient-primary.sidebar.sidebar-dark.accordion .sidebar-brand.d-flex.align-items-center.justify-content-center .sidebar-brand-icon::before {
    font-family: "Font Awesome 5 Free";
    /*←ココ！！！！！！！*/
    font-weight: 900;
    content: "\f100";
    font-size: 30px;
    cursor: pointer;
}

.navbar-nav.bg-gradient-primary.sidebar.sidebar-dark.accordion.toggled .sidebar-brand.d-flex.align-items-center.justify-content-center .sidebar-brand-icon::before {
    font-family: "Font Awesome 5 Free";
    /*←ココ！！！！！！！*/
    font-weight: 900;
    content: "\f101";
    font-size: 30px;
    cursor: pointer;
}

.detlabel {
    padding-top: 10px;
}


/* 必須マーク */

.must {
    position: absolute;
    top: 15px;
    right: 15px;
    /*margin-right: 10px;*/
    color: #fff;
    font-size: 9px;
    padding: 3px 5px;
    background: #4e73df;
    border-radius: 20px;
}

.mustfile {
    position: absolute;
    top: 15px;
    right: 15%;
    /*margin-right: 10px;*/
    color: #fff;
    font-size: 9px;
    padding: 3px 5px;
    background: #4e73df;
    border-radius: 20px;
}


/* 任意マーク */

.free {
    position: absolute;
    top: 20px;
    right: 15px;
    /*margin-right: 10px;*/
    color: #fff;
    font-size: 7px;
    padding: 3px 5px;
    background: #424242;
    border-radius: 20px;
}

.freefile {
    position: absolute;
    top: 15px;
    right: 30px;
    /*margin-right: 10px;*/
    color: #fff;
    font-size: 7px;
    padding: 3px 5px;
    background: #424242;
    border-radius: 20px;
}

.modal-dialog {
    max-width: 700px;
    margin: 1.75rem auto;
}
.logoutmodal {
   		 max-width: 500px;
   		 margin: 1.75rem auto;
}

.fileitem{
	height:140px;
	border: 2px solid #ccc;
	padding: 5pt;
	overflow: auto; 
}

.allcheck{
	position: absolute;
	top:15px;
	right:0;
}

@media (max-width: 1468px) {
    .hedtitle {
        font-family: 'Oswald', sans-serif;
        font-size: 24px;
    }
}

@media screen and (max-width: 1199px) {
    th.sptableonly {
        display: block;
    }
    table.listTable thead {
        display: none;
    }
    table.listTable tbody th {
        display: block;
        background: #ccc;
        color: #333;
    }
    table.listTable tbody td {
        display: block;
        min-height: 70px;
    }
    table.listTable tbody td::before {
        content: attr(label);
        float: left;
        clear: both;
        font-weight: bold;
        margin-right: 10px;
    }
    table.listTable tbody td p {
        padding-left: 6em;
    }
    table.listTable tbody th.thcolor {
        background-color: #c9e5ff;
        color: #858796;
        width: 100%;
    }
    .hedtitle {
        font-family: 'Oswald', sans-serif;
        font-size: 18px;
    }
    .cp_iptxt2 i {
        position: relative;
        top: 0px;
        right: 10px;
        padding: 9px 8px;
        transition: 0.3s;
        color: #006AB6;
        background-color: #ccc;
        height: calc(1.5em + .75rem + 2px);
    }
    .mustfile {
        position: absolute;
        top: 15px;
        right: 15px;
        /*margin-right: 10px;*/
        color: #fff;
        font-size: 9px;
        padding: 3px 5px;
        background: #4e73df;
        border-radius: 20px;
    }
    .freefile {
        position: absolute;
        top: 15px;
        right: 15px;
        /*margin-right: 10px;*/
        color: #fff;
        font-size: 7px;
        padding: 3px 5px;
        background: #424242;
        border-radius: 20px;
    }
}

@media (max-width: 991px) {
    .mobilehedtitle {
        display: block!important;
        ;
        font-family: 'Oswald', sans-serif;
        font-size: 12px;
        font-weight: bold;
    }
    .hedtitle {
        display: none!important;
    }
    .width-7 {
        width: 500px;
    }
}

@media (max-width: 760px) {
    .width-6 {
        width: 450px;
    }
}

@media (max-width: 575px) {

	

}


/*datepicer ずれ対策*/

.ui-datepicker-title {
    display: flex;
    justify-content: center;
    -webkit-justify-content: center;
}

.ui-datepicker select.ui-datepicker-year {
    margin-right: 0.1rem;
    width: auto;
}

.ui-datepicker select.ui-datepicker-month {
    margin-left: 0.3rem;
    width: auto;
}

.ui-datepicker {
    font-size: 80%;
}

.btn-primary-file {
    color: #fff;
    background-color: #aaa;
    border: 1px solid #fff;
    width: 100%;
}

.btn-primary-file:hover {
    color: #aaa;
    background-color: #eee;
    border: 1px solid #aaa;
}